/**
 * Interfaces that describe objects with a default String presentation.
 * Useful for implementing reusable object presentations in Formats,
 * ListCellRenderers, TableCellRenderers, etc.
 * 
 * If the object shall have a special default presentation in lists or tables,
 * they may additionally implement {@link com.jgoodies.common.display.ListDisplayable} and/or
 * {@link com.jgoodies.common.display.TableDisplayable}.<p>
 * 
 * Used by the reusable JGoodies list and table cell renderers:
 * {@code JGDisplayableListCellRenderer} and {@code JGDisplayableTableCellRenderer}.
 *
 * @since 1.7
 */
package com.jgoodies.common.display;